Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class PlayGame

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractPhaseState
                  |
                  +--org.jbrain.qlink.state.PlayGame

All Implemented Interfaces:
  QState

public class PlayGame
extends AbstractPhaseState

Field Summary
`protected static int` | `PHASE_LOADING`
`protected static int` | `PHASE_READY_TO_START`
`protected static int` | `PHASE_REQUEST_RESTART`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`PlayGame(QSession session, Game game)`
`PlayGame(QSession session, Room room, int id, java.lang.String name, java.lang.String type, boolean bSystemPickOrder)`

Method Summary
`void` | `activate()`
`boolean` | `execute(Action a)`
`protected void` | `restoreState()`
`void` | `terminate()`

Methods inherited from class org.jbrain.qlink.state.AbstractPhaseState
`getPhase, setPhase`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`checkEmail, getName, passivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PHASE_LOADING

    protected static final int PHASE_LOADING

See Also:
  Constant Field Values

### PHASE_READY_TO_START

    protected static final int PHASE_READY_TO_START

See Also:
  Constant Field Values

### PHASE_REQUEST_RESTART

    protected static final int PHASE_REQUEST_RESTART

See Also:
  Constant Field Values

Constructor Detail

### PlayGame

    public PlayGame(QSession session,
                    Game game)

### PlayGame

    public PlayGame(QSession session,
                    Room room,
                    int id,
                    java.lang.String name,
                    java.lang.String type,
                    boolean bSystemPickOrder)

Method Detail

### restoreState

    protected void restoreState()

### activate

    public void activate()
                  throws java.io.IOException

  Specified by:
    `activate` in interface `QState`
  Overrides:
    `activate` in class `AbstractState`
    `java.io.IOException`

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
  Overrides:
    `execute` in class `AbstractState`
    `java.io.IOException`

### terminate

    public void terminate()

  Specified by:
    `terminate` in interface `QState`
  Overrides:
    `terminate` in class `AbstractState`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD